---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# form_email

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "id": {
        "name": "id",
        "in": "path",
        "description": "ID of the entity",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      },
      "project_id": {
        "name": "project_id",
        "in": "path",
        "description": "ID of the project this entity belongs to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      }
    },
    "schemas": {
      "too_many_requests_response": {
        "type": "object",
        "nullable": false,
        "description": "Response schema for 429 too many requests",
        "required": [
          "error",
          "request_retry_after"
        ],
        "properties": {
          "error": {
            "type": "boolean",
            "nullable": false,
            "description": "Boolean that is true if operation is unsuccessful"
          },
          "request_retry_after": {
            "type": "string",
            "nullable": false,
            "description": "Lets you know when you can retry again"
          }
        },
        "additionalProperties": false
      },
      "forms_email_input": {
        "required": [
          "email",
          "cc_sender",
          "subject",
          "body",
          "kind"
        ],
        "type": "object",
        "description": "Schema for forms email input",
        "nullable": false,
        "properties": {
          "body": {
            "description": "Content to include in the email body",
            "nullable": false,
            "type": "string"
          },
          "cc_sender": {
            "description": "Whether the email should be CCed to the sender too",
            "nullable": false,
            "type": "boolean"
          },
          "email": {
            "description": "List of comma separated emails to send to",
            "nullable": false,
            "type": "string"
          },
          "kind": {
            "description": "Kind of export this form should be in",
            "nullable": true,
            "type": "string",
            "enum": [
              "csv",
              "pdf",
              null
            ]
          },
          "subject": {
            "description": "Subject to use for the email",
            "nullable": false,
            "type": "string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/projects/{project_id}/forms/{id}/email": {
      "post": {
        "summary": "form_email",
        "operationId": "email_by_form_id",
        "tags": [
          "forms"
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id"
          },
          {
            "$ref": "#/components/parameters/id"
          },
          {
            "$ref": "#/components/parameters/api_version"
          }
        ],
        "responses": {
          "201": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              }
            }
          },
          "429": {
            "description": "Too many attempts",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              }
            },
            "content": {
              "application/json": {
                "example": {
                  "error": true,
                  "request_retry_after": "2026-10-02T14:55:06.351Z"
                },
                "schema": {
                  "$ref": "#/components/schemas/too_many_requests_response"
                }
              }
            }
          }
        },
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/forms_email_input"
              }
            }
          },
          "required": true
        }
      }
    }
  }
}
```